Tablewealth

List accessible financial holdings

GET
/v1/holdings

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

accountId?string
Formatuuid
tickerSymbol?string
isCashEquivalent?boolean
pageSize?integer
Range1 <= value <= 100
pageToken?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/v1/holdings"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
      "assetName": "string",
      "tickerSymbol": "string",
      "quantity": 0,
      "currentPrice": 0,
      "marketValue": 0,
      "marketValueCurrencyCode": "string",
      "costBasis": 0,
      "isCashEquivalent": true
    }
  ],
  "pagination": {
    "pageSize": 0,
    "nextPageToken": "string"
  },
  "meta": {}
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}
{
  "error": {
    "code": "account_not_accessible",
    "message": "string",
    "meta": {},
    "requestId": "string"
  }
}